org.baraza.DB

## Class BQuery

- java.lang.Object
- - org.baraza.DB.BQuery

- Direct Known Subclasses:
    BJSONQuery, BWebBody

      public class BQuery
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BQuery()`
    `BQuery(BDB db, BElement view, String wheresql, String orderby)`
    `BQuery(BDB db, BElement view, String wheresql, String orderby, boolean ff)`
    `BQuery(BDB db, BElement view, String wheresql, String orderby, boolean ff, Integer rowStart, Integer fertchSize)`
    `BQuery(BDB db, String mysql)`
    `BQuery(BDB db, String mysql, int limit)`
    `BQuery(BDB db, String myfields, String tableName, int limit)`
    `BQuery(String[] titleArray)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColumnName(String title)`
    `String` | `addField(String colNames, String colName)`
    `void` | `beforeFirst()`
    `void` | `buildQuery(BDB db, BElement view, String wheresql, String orderby)`
    `void` | `cancel()`
    `void` | `clear()`
    `void` | `close()`
    `void` | `filter(String wheresql, String orderby)`
    `void` | `filterBuild(String wheresql, String orderby)`
    `String` | `formatData(BElement el)`
    `Vector<String>` | `getAutoFields()`
    `Boolean` | `getBoolean(String fieldName)`
    `int` | `getColnum()`
    `Class` | `getColumnClass(int aCol)`
    `int` | `getColumnCount()`
    `List<Boolean>` | `getColumnEdits()`
    `String` | `getColumnName(int aCol)`
    `Vector<String>` | `getColumnNames()`
    `String` | `getCsv()`
    `String` | `getCsvValueAt(int aRow, int aColumn)`
    `Vector<Vector<Object>>` | `getData()`
    `Date` | `getDate(String fieldName)`
    `int` | `getDBType()`
    `BElement` | `getDeskConfig(int cfg)`
    `Double` | `getDouble(String fieldName)`
    `String` | `getErrMessage(String err)`
    `String` | `getFieldName(int aCol)`
    `Vector<String>` | `getFieldNames()`
    `List<String>` | `getFields()`
    `int` | `getFieldSize(int column)`
    `int` | `getFieldType(int column)`
    `int` | `getFieldType(String columnName)`
    `Float` | `getFloat(String fieldName)`
    `String` | `getFooter()`
    `String` | `getFormatField(int fieldPos)`
    `BElement` | `getFormConfig(int cfg)`
    `String` | `getFormField(int aCol)`
    `BElement` | `getGridConfig()`
    `int` | `getInt(String fieldName)`
    `String` | `getKeyField()`
    `Vector<String>` | `getKeyFieldData()`
    `String` | `getKeyFieldName()`
    `List<BTableLinks>` | `getLinks()`
    `List<BTableLinks>` | `getLinks(List<String> linkTables)`
    `BElement` | `getMigrateConfig()`
    `Map<String,String>` | `getParams()`
    `int` | `getRow()`
    `int` | `getRowCount()`
    `String` | `getString(String fieldName)`
    `BElement` | `getTableConfig()`
    `String` | `getTableName()`
    `String` | `getTableXml(String ifNull)`
    `Time` | `getTime(String fieldName)`
    `Object` | `getValueAt(int aRow, int aCol)`
    `String` | `getViewSQL()`
    `void` | `importData(Vector<Vector<Object>> newData)`
    `void` | `init()`
    `String` | `initCap(String mystr)`
    `int` | `insertRow()`
    `int` | `insertRow(Vector<Object> dataRow)`
    `boolean` | `isFirst()`
    `boolean` | `isLast()`
    `void` | `makeQuery()`
    `boolean` | `moveFirst()`
    `boolean` | `moveLast()`
    `boolean` | `moveNext()`
    `boolean` | `movePos(int pos)`
    `boolean` | `movePrevious()`
    `void` | `readData()`
    `void` | `readData(int limit)`
    `String` | `readDocument(boolean heading, boolean trim)`
    `String` | `readField(int fieldPos)`
    `String` | `readField(String fieldName)`
    `boolean` | `recAdd()`
    `void` | `recAudit(String changetype, String oldRecordid)`
    `String` | `recDelete()`
    `boolean` | `recEdit()`
    `String` | `recSave()`
    `void` | `refresh()`
    `void` | `removeRow(int aRow)`
    `void` | `reset()`
    `int` | `rowNumber()`
    `void` | `savecvs(String filename)`
    `String` | `saveNewRec()`
    `void` | `setSQL(String lsql)`
    `void` | `setTableName(String tableName)`
    `void` | `setTitles(String[] titleArray)`
    `void` | `setValueAt(Object value, int aRow, int aCol)`
    `String` | `updateField(String fname, String fvalue)`
    `String` | `updateRecField(String fname, String fvalue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BQuery

          public BQuery()

    - #### BQuery

          public BQuery(String[] titleArray)

    - #### BQuery

          public BQuery(BDB db,
                BElement view,
                String wheresql,
                String orderby,
                boolean ff)

    - #### BQuery

          public BQuery(BDB db,
                BElement view,
                String wheresql,
                String orderby,
                boolean ff,
                Integer rowStart,
                Integer fertchSize)

    - #### BQuery

          public BQuery(BDB db,
                BElement view,
                String wheresql,
                String orderby)

    - #### BQuery

          public BQuery(BDB db,
                String myfields,
                String tableName,
                int limit)

    - #### BQuery

          public BQuery(BDB db,
                String mysql)

    - #### BQuery

          public BQuery(BDB db,
                String mysql,
                int limit)

  - ### Method Detail

    - #### buildQuery

          public void buildQuery(BDB db,
                        BElement view,
                        String wheresql,
                        String orderby)

    - #### addField

          public String addField(String colNames,
                        String colName)

    - #### init

          public void init()

    - #### makeQuery

          public void makeQuery()

    - #### refresh

          public void refresh()

    - #### filter

          public void filter(String wheresql,
                    String orderby)

    - #### filterBuild

          public void filterBuild(String wheresql,
                         String orderby)

    - #### setSQL

          public void setSQL(String lsql)

    - #### moveNext

          public boolean moveNext()

    - #### movePrevious

          public boolean movePrevious()

    - #### getRow

          public int getRow()

    - #### moveFirst

          public boolean moveFirst()

    - #### moveLast

          public boolean moveLast()

    - #### beforeFirst

          public void beforeFirst()

    - #### isLast

          public boolean isLast()

    - #### isFirst

          public boolean isFirst()

    - #### movePos

          public boolean movePos(int pos)

    - #### reset

          public void reset()

    - #### rowNumber

          public int rowNumber()

    - #### readField

          public String readField(String fieldName)

    - #### readField

          public String readField(int fieldPos)

    - #### getString

          public String getString(String fieldName)

    - #### getInt

          public int getInt(String fieldName)

    - #### getFloat

          public Float getFloat(String fieldName)

    - #### getDouble

          public Double getDouble(String fieldName)

    - #### getDate

          public Date getDate(String fieldName)

    - #### getTime

          public Time getTime(String fieldName)

    - #### getBoolean

          public Boolean getBoolean(String fieldName)

    - #### getFormatField

          public String getFormatField(int fieldPos)

    - #### updateField

          public String updateField(String fname,
                           String fvalue)

    - #### updateRecField

          public String updateRecField(String fname,
                              String fvalue)

    - #### recDelete

          public String recDelete()

    - #### recAdd

          public boolean recAdd()

    - #### recEdit

          public boolean recEdit()

    - #### recSave

          public String recSave()

    - #### saveNewRec

          public String saveNewRec()

    - #### getErrMessage

          public String getErrMessage(String err)

    - #### cancel

          public void cancel()

    - #### recAudit

          public void recAudit(String changetype,
                      String oldRecordid)

    - #### getFields

          public List<String> getFields()

    - #### getAutoFields

          public Vector<String> getAutoFields()

    - #### getFieldSize

          public int getFieldSize(int column)

    - #### getFieldType

          public int getFieldType(String columnName)

    - #### getFieldType

          public int getFieldType(int column)

    - #### readData

          public void readData()

    - #### readData

          public void readData(int limit)

    - #### readDocument

          public String readDocument(boolean heading,
                            boolean trim)

    - #### getFooter

          public String getFooter()

    - #### getData

          public Vector<Vector<Object>> getData()

    - #### importData

          public void importData(Vector<Vector<Object>> newData)

    - #### getColumnCount

          public int getColumnCount()

    - #### getRowCount

          public int getRowCount()

    - #### removeRow

          public void removeRow(int aRow)

    - #### getTableName

          public String getTableName()

    - #### getColumnName

          public String getColumnName(int aCol)

    - #### getFieldNames

          public Vector<String> getFieldNames()

    - #### getFieldName

          public String getFieldName(int aCol)

    - #### getColumnNames

          public Vector<String> getColumnNames()

    - #### getKeyFieldData

          public Vector<String> getKeyFieldData()

    - #### addColumnName

          public void addColumnName(String title)

    - #### getValueAt

          public Object getValueAt(int aRow,
                          int aCol)

    - #### getKeyFieldName

          public String getKeyFieldName()

    - #### getKeyField

          public String getKeyField()

    - #### insertRow

          public int insertRow()

    - #### insertRow

          public int insertRow(Vector<Object> dataRow)

    - #### setValueAt

          public void setValueAt(Object value,
                        int aRow,
                        int aCol)

    - #### getViewSQL

          public String getViewSQL()

    - #### clear

          public void clear()

    - #### getDeskConfig

          public BElement getDeskConfig(int cfg)

    - #### getTableConfig

          public BElement getTableConfig()

    - #### getGridConfig

          public BElement getGridConfig()

    - #### getFormConfig

          public BElement getFormConfig(int cfg)

    - #### getMigrateConfig

          public BElement getMigrateConfig()

    - #### getColumnClass

          public Class getColumnClass(int aCol)

    - #### getFormField

          public String getFormField(int aCol)

    - #### getLinks

          public List<BTableLinks> getLinks()

    - #### getLinks

          public List<BTableLinks> getLinks(List<String> linkTables)

    - #### initCap

          public String initCap(String mystr)

    - #### formatData

          public String formatData(BElement el)

    - #### savecvs

          public void savecvs(String filename)

    - #### getCsv

          public String getCsv()

    - #### getCsvValueAt

          public String getCsvValueAt(int aRow,
                             int aColumn)

    - #### getTableXml

          public String getTableXml(String ifNull)

    - #### getDBType

          public int getDBType()

    - #### getColumnEdits

          public List<Boolean> getColumnEdits()

    - #### getParams

          public Map<String,String> getParams()

    - #### setTitles

          public void setTitles(String[] titleArray)

    - #### setTableName

          public void setTableName(String tableName)

    - #### getColnum

          public int getColnum()

    - #### close

          public void close()

Copyright © 2016 openBaraza. All Rights Reserved.